'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.actionTransformer = exports.stateTransformer = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _reduxLogger = require('redux-logger');

var _reduxLogger2 = _interopRequireDefault(_reduxLogger);

var _mori = require('mori');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var stateTransformer = exports.stateTransformer = function stateTransformer(state) {
  return (0, _mori.toJs)(state);
};
var actionTransformer = exports.actionTransformer = function actionTransformer(action) {
  if ((0, _mori.isCollection)(action)) {
    return (0, _mori.toJs)(action);
  }

  return Object.keys(action).reduce(function (acc, name) {
    return _extends({}, acc, _defineProperty({}, name, (0, _mori.isCollection)(action[name]) ? (0, _mori.toJs)(action[name]) : action[name]));
  }, {});
};

var getDefaultOptions = function getDefaultOptions() {
  return {
    actionTransformer: actionTransformer,
    collapsed: true,
    stateTransformer: stateTransformer
  };
};

var createLogger = function createLogger(options) {
  var logger = arguments.length <= 1 || arguments[1] === undefined ? _reduxLogger2.default : arguments[1];
  return logger(_extends({}, getDefaultOptions(), options));
};

exports.default = createLogger;